Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface HasGradleProject

    public interface HasGradleProject

An element that is associated with a Gradle project. Via the Gradle project you can access (list, run, etc.) Gradle tasks.

Method Summary
`GradleProject` | `getGradleProject()` The associated Gradle project.

Method Detail

### getGradleProject

    public GradleProject getGradleProject()

  The associated Gradle project. Via the gradle project you can access (list, run, etc.) Gradle tasks.

Gradle API 1.10